
    form p {
      margin-bottom: 1px;
    }
    label {
      display: block;
      margin-bottom: 1px;
      font-weight: bold;
      color: #555;
      text-align: center;
    }
    input[type="text"],
    input[type="email"],
    input[type="numberr"],
    textarea {
      width: 95%;
      display: block;
      margin: 0 auto;
      padding: 4px 10px;
      font-size: 16px;
      border: 1px solid black;
      border-radius: 5px;
      transition: border-color 0.3s ease, box-shadow 0.3s ease;
    }
    input:placeholder-shown,
    textarea:placeholder-shown {
      border-color: black;
      box-shadow: none;
    }
    input:focus,
    textarea:focus {
      outline: none;
      border-color: green;
      box-shadow: 0 0 5px rgba(0,128,0,0.5);
    }
    input:not(:focus):valid,
    textarea:not(:focus):valid {
      border-color: green;
      box-shadow: 0 0 5px rgba(0,128,0,0.5);
    }
    input:not(:focus):invalid:not(:placeholder-shown),
    textarea:not(:focus):invalid:not(:placeholder-shown) {
      border-color: red;
      box-shadow: 0 0 5px rgba(255,0,0,0.5);
    }
    input[type="submit"] {
      display: block;
      margin: 5px auto;
      background-color: #4CAF50;
      color: #fff;
      padding: 10px 25px;
      font-size: 16px;
      border: none;
      border-radius: 5px;
      cursor: pointer;
      transition: background-color 0.3s ease;
    }
    input[type="submit"]:hover {
      background-color: #45a049;
    }
    .feedback {
      color: red;
      text-align: center;
      margin-top: 10px;
      font-weight: bold;
    }
	